/*
 *   Created the 2 April 2006
 *
 *   Azuki Framework
 *   Copyright 2006 the original author or authors.
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *   
 *   Contact : support@azuki-framework.org
 */

package org.azuki.bean.tutorial ;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.*;

import org.azuki.framework.annotation.*;

/**
* @author Robert Bakic
*/

public class EventCounterServlet
{
	private volatile int counter = 0 ;
	
	@MethodInfo(desc="Contract for the EventHandler aspect")
	public void receive(Object msg)
	{	
		counter++ ;
	}
	
	@MethodInfo(desc="Contract for the RequestDispatcher aspect")
	public void service(HttpServlet servlet, HttpServletRequest req, HttpServletResponse res)
	throws Exception
	{
		ServletOutputStream out = res.getOutputStream();
		
		out.println("<html><body>");
		out.println("<h2>Event received = "+counter+"</h2>");
		out.println("<body><html>");
	}
}